/*
* Copyright (C) 2020 Tianjin KYLIN Information Technology Co., Ltd.
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 3, or (at your option)
* any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, see <http://www.gnu.org/licenses/&gt;.
*
*/

#ifndef SINGLEITEMBUTTON_H
#define SINGLEITEMBUTTON_H

#include <QPushButton>
#include <QWidget>
#include <QDebug>
#include <QEvent>

class singleitemButton : public QPushButton
{
    Q_OBJECT
public:
    singleitemButton();
    ~singleitemButton();

signals:
    void buttonclick();
protected:
    void enterEvent(QEvent *event);//鼠标进入事件
    void mousePressEvent(QMouseEvent *event);//鼠标按下事件
    void mouseReleaseEvent(QMouseEvent *event);//鼠标松开事件
    void leaveEvent(QEvent *event);//鼠标离开事件
};

#endif // SINGLEITEMBUTTON_H
